Subject: bug#69872: 29.2; Async native compilation of seq.el test uses up resources and hangs

From: Jon Levin <[email-masked]>
Date: Mon, 18 Mar 2024 13:22:19 -0400

Seems I neglected to copy the bug tracker. Here's my reply to Eli
and Andrea:

On Mon 2024-03-18 13:13 -0400, Jon Levin wrote:
> Date: Mon, 18 Mar 2024 13:13:57 -0400
> From: Jon Levin <[email-masked]>
> To: Andrea Corallo <[email-masked]>, Eli Zaretskii <[email-masked]>
> Subject: Re: bug#69872: 29.2; Async native compilation of seq.el test uses
>  up resources and hangs
> 
> On Mon 2024-03-18 12:51 -0400, Andrea Corallo wrote:
> > I can reproduce on master with:
> > 
> > ./src/emacs -batch -l comp -f batch-native-compile test/lisp/emacs-lisp/seq-tests.el
> > 
> > I'll try to have look.
> 
> Thanks!
> 
> Andrea continues:
> > I'm wondering as well why seq-tests is loaded in your system as well
> > being this a test file.
> 
> On Mon 2024-03-18 18:55 +0200, Eli Zaretskii wrote:
> > seq.el is preloaded, so it is native-compiled only during the build,
> > and should not be compiled when you update your packages.  I think
> > what you see is compilation of seq-tests.el, not seq.el, and if that
> > is the case, the question is: why does your Emacs decide to compile
> > that file?  Could you look through your installed packages and see
> > which one of them loads seq-tests.el?  Is it possible that you have
> > seq.el as a separate package, which perhaps Emacs tries to use instead
> > of the built-in one?
> 
> That's an excellent question, one which I have asked myself too.
> It's almost certain that there is another seq.el being built by my
> package manager, straight.el. It appears in dependencies of other
> packages, most notably magit. In fact, when I first started seeing
> this problem, it was usually while straight.el was building magit -
> that package names seq 2.24 as a dependency. I have not spent a lot
> of time on the problem but I seem to recall that there have been
> breaking changes between versions of seq.el which have taken me on
> journies in the past.
> 
> Anyway, I may look into why this happens at some point, but that is
> a separate problem and not one which should really attributed to
> emacs. It seems that Andrea has found a reproduction of the problem
> which should help him find the problem which *is* the subject of
> this bug report.
> 
> My guess is that straight.el is being rather too thorough in doing
> what it calls a "build" of packages it installs from sources.
> 
> Thanks for the speedy responses!
> 
> cheers
> Jon

-- 
In this world / we walk on the roof of hell / gazing at flowers
    - Kobayashi Issa